<form action="" class="form-field" [formGroup]="form" (ngSubmit)="submitEmitter.emit(form)">
  <div>
    <input type="text" placeholder="username" formControlName="username">
    <div></div>
  </div>
  <div>
    <input type="password" placeholder="password" formControlName="password">
    <div></div>
  </div>
  <button type="submit">{{ButtonName}}</button>
</form>
